Ignore:
Timestamp:
Nov 21, 2011, 4:52:41 PM (8 years ago)
Author:
mmoll@…
Message:

math/slepc: update to 3.2-p2, add error message saying that port needs to be deactivated before an upgrade

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/math/slepc/Portfile

    r86690 r87440  
    44
    55name            slepc
    6 version         3.2-p0
    7 revision        1
     6version         3.2-p2
    87license         LGPL
    98categories      math science
     
    2726universal_variant   no
    2827
    29 checksums           md5     a1ff6a872b0aeafbe271b58993c33e24 \
    30                     sha1    45006947078373a8a4b481e87da8a2bf2f828cab \
    31                     rmd160  5a7d2f239cb71ba1178796fd36824324beeb7bfa
     28checksums           md5     05eb2a7545761f14e174f4f1161aea67 \
     29                    sha1    8e43d1c84a56cdafdec3515b7fdb784dc11839fb \
     30                    rmd160  2fe082228b19a16e2fa5e6fbbe4581c8cf3815a3
    3231
    3332depends_lib-append  port:petsc
     
    3736destroot.env-append   PETSC_DIR=${prefix}/lib/petsc PETSC_ARCH=arch-installed-petsc SLEPC_DIR=${worksrcpath}
    3837destroot.cmd-append   SLEPC_DESTDIR=${destroot}${prefix}/lib/petsc
     38
     39pre-build {
     40    if {[file exists ${prefix}/lib/petsc/lib/libslepc.a]} {
     41        ui_error "slepc must be deactivated before upgrade."
     42        error "Please run `sudo port deactivate slepc` and try again."
     43    }
     44}
    3945
    4046variant arpack description {compile with ARPACK support} {
Note: See TracChangeset for help on using the changeset viewer.